# RSL_get_linear_value

### Synopsis

#include "rsl.h"
float RSL_get_linear_value(Volume *v, float srange, float azimuth, float elev, float limit);

### Description

Find a linearly interpolated value in the Volume, v, at the polar coordinate specification (srange, azimuth, elev). The four surrounding data values that are azimuthally within +/- limit degrees are used for the interpolation. Limit is measured in degrees. Srange is the slant range in KM. Azimuth and elev are measured in degrees.

### Return value

Upon successful completion, a valid floating point number is returned. Note, the value could be BADVAL.

### See also

RSL_get_value

Author: Dennis Flanigan, Jr.